For the complete documentation index, see llms.txt. This page is also available as Markdown.

Account IPWhitelist

IP whitelist management

Get all whitelist IP ranges

get
Authorizations
PRIVATE-TOKENstringRequired
Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

IP whitelist ID

ipStartstring · nullableOptional

First IP in range

ipEndstring · nullableOptional

Last IP in range

ipRangestring · nullableOptional

IP range with network suffix such as /24, /32, etc.

descriptionstringOptional

Description of whitelisted IP or range

activeinteger · integerRequired

Whether or not this whitelist entry is active

createdAtinteger · integerRead-onlyRequired

Unix timestamp of when the IP whitelisting was created

get/v3/account/whitelist
GET /v3/account/whitelist HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "ipStart": "text",
    "ipEnd": "text",
    "ipRange": "text",
    "description": "text",
    "active": 1,
    "createdAt": 1
  }
]

Add IP range to the whitelist

post
Authorizations
PRIVATE-TOKENstringRequired
Body
idinteger · integerRead-onlyRequired

IP whitelist ID

ipStartstring · nullableOptional

First IP in range

ipEndstring · nullableOptional

Last IP in range

ipRangestring · nullableOptional

IP range with network suffix such as /24, /32, etc.

descriptionstringOptional

Description of whitelisted IP or range

activeinteger · integerRequired

Whether or not this whitelist entry is active

createdAtinteger · integerRead-onlyRequired

Unix timestamp of when the IP whitelisting was created

Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

IP whitelist ID

ipStartstring · nullableOptional

First IP in range

ipEndstring · nullableOptional

Last IP in range

ipRangestring · nullableOptional

IP range with network suffix such as /24, /32, etc.

descriptionstringOptional

Description of whitelisted IP or range

activeinteger · integerRequired

Whether or not this whitelist entry is active

createdAtinteger · integerRead-onlyRequired

Unix timestamp of when the IP whitelisting was created

post/v3/account/whitelist
POST /v3/account/whitelist HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 82

{
  "ipStart": "text",
  "ipEnd": "text",
  "ipRange": "text",
  "description": "text",
  "active": 1
}
[
  {
    "id": 1,
    "ipStart": "text",
    "ipEnd": "text",
    "ipRange": "text",
    "description": "text",
    "active": 1,
    "createdAt": 1
  }
]

Update whitelisted IP range

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
whitelistIdintegerRequired

Whitelisted IP range ID

Body
idinteger · integerRead-onlyRequired

IP whitelist ID

ipStartstring · nullableOptional

First IP in range

ipEndstring · nullableOptional

Last IP in range

ipRangestring · nullableOptional

IP range with network suffix such as /24, /32, etc.

descriptionstringOptional

Description of whitelisted IP or range

activeinteger · integerRequired

Whether or not this whitelist entry is active

createdAtinteger · integerRead-onlyRequired

Unix timestamp of when the IP whitelisting was created

Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

IP whitelist ID

ipStartstring · nullableOptional

First IP in range

ipEndstring · nullableOptional

Last IP in range

ipRangestring · nullableOptional

IP range with network suffix such as /24, /32, etc.

descriptionstringOptional

Description of whitelisted IP or range

activeinteger · integerRequired

Whether or not this whitelist entry is active

createdAtinteger · integerRead-onlyRequired

Unix timestamp of when the IP whitelisting was created

put/v3/account/whitelist/{whitelistId}
PUT /v3/account/whitelist/{whitelistId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 82

{
  "ipStart": "text",
  "ipEnd": "text",
  "ipRange": "text",
  "description": "text",
  "active": 1
}
[
  {
    "id": 1,
    "ipStart": "text",
    "ipEnd": "text",
    "ipRange": "text",
    "description": "text",
    "active": 1,
    "createdAt": 1
  }
]

Delete whitelisted IP range

delete
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
whitelistIdintegerRequired

Whitelisted IP range ID

Responses
204

No Content

No content

delete/v3/account/whitelist/{whitelistId}
DELETE /v3/account/whitelist/{whitelistId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*

No content

Check user whitelist

post
Authorizations
PRIVATE-TOKENstringRequired
Responses
204

No Content

No content

post/v3/account/whitelist/check
POST /v3/account/whitelist/check HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*

No content

Last updated

Was this helpful?